Transfer owned folders
Move all of the items (files, folders and workflows) owned by a user into another user’s account.
Only the root folder (0) can be transferred.
Folders can only be moved across users by users with administrative permissions.
All existing shared links and folder-level collaborations are transferred during the operation. Please note that while collaborations at the individual file-level are transferred during the operation, the collaborations are deleted when the original user is deleted.
If the user has a large number of items across all folders, the call will be run asynchronously. If the operation is not completed within 10 minutes, the user will receive a 200 OK response, and the operation will continue running.
If the destination path has a metadata cascade policy attached to any of the parent folders, a metadata cascade operation will be kicked off asynchronously.
There is currently no way to check for when this operation is finished.
The destination folder’s name will be in the format {User}'s Files and Folders, where {User} is the display name of the user.
To make this API call your application will need to have the “Read and write all files and folders stored in Box” scope enabled.
Please make sure the destination user has access to Relay or Relay Lite, and has access to the files and folders involved in the workflows being transferred.
Admins will receive an email when the operation is completed.
Authorizations
Query Parameters
A comma-separated list of attributes to include in the response. This can be used to request fields that are not normally returned in a standard response.
Be aware that specifying this parameter will have the effect that none of the standard fields are returned in the response unless explicitly specified, instead only fields for the mini representation are returned, additional to the fields requested.
Response
Returns the information for the newly created destination folder.
A full representation of a folder, as can be returned from any folder API endpoints by default.
A numeric identifier that represents the most recent user event that has been applied to this item.
This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read.
An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource.
"3"
The folder size in bytes.
This includes the files in the folder and its subfolders, along with their previous versions. Files in Trash are not included. After a file with many versions is moved to Trash, the value can take several days to reflect the change.
Be careful parsing this integer as its value can get very large.
629644
The shared link for this folder. This will be null if no shared link has been created for this folder.
The folder_upload_email parameter is not null if one of the following options is true:
-
The Allow uploads to this folder via email and the Only allow email uploads from collaborators in this folder are enabled for a folder in the Admin Console, and the user has at least Upload permissions granted.
-
The Allow uploads to this folder via email setting is enabled for a folder in the Admin Console, and the Only allow email uploads from collaborators in this folder setting is deactivated (unchecked).
If the conditions are not met, the parameter will have the following value: folder_upload_email: null.
The tags for this item. These tags are shown in the Box web app and mobile apps next to an item.
To add or remove a tag, retrieve the item's current tags, modify them, and then update this field.
There is a limit of 100 tags per item, and 10,000 unique tags per enterprise.
1 - 100 elementsAn object containing the metadata instances that have been attached to this folder.
Each metadata instance is uniquely identified by its scope and templateKey. There can only be one instance of any metadata template attached to each folder. Each metadata instance is nested within an object with the templateKey as the key, which again itself is nested in an object with the scope as the key.
The shared link access levels the authenticated user is allowed to use when creating or updating a shared link for this folder.
The list depends on item policy and user authorization. For some folders, like the root folder, this is always empty as sharing is not allowed at that level.
The access level for a shared link.
open, company, collaborators Specifies if the folder can be accessed with the direct shared link or a shared link to a parent folder.
true
The collections that this folder belongs to.
For more information, see the collections guide.
